Index: src/org/jboss/tools/seam/ui/wizard/SeamGenerateEntitiesTablesWizardPage.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/SeamGenerateEntitiesTablesWizardPage.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/SeamGenerateEntitiesTablesWizardPage.java	(working copy)
@@ -20,7 +20,7 @@
 import org.hibernate.eclipse.console.model.IReverseEngineeringDefinition;
 import org.hibernate.eclipse.console.model.ITableFilter;
 import org.hibernate.eclipse.console.model.impl.ReverseEngineeringDefinitionImpl;
-import org.jboss.tools.seam.ui.SeamUIMessages;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.ui.views.DBTableFilterView;
 
 /**
@@ -36,7 +36,7 @@
 	private IReverseEngineeringDefinition model;
 
 	public SeamGenerateEntitiesTablesWizardPage() {
-		super(pageName, SeamUIMessages.GENERATE_SEAM_ENTITIES_WIZARD_TITLE, null);
+		super(pageName, SeamCoreMessages.GENERATE_SEAM_ENTITIES_WIZARD_TITLE, null);
 		setMessage("Select Tables");												//$NON-NLS-1$
 	}
 
Index: src/org/jboss/tools/seam/ui/wizard/SeamActionWizardPage1.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/SeamActionWizardPage1.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/SeamActionWizardPage1.java	(working copy)
@@ -11,7 +11,7 @@
 package org.jboss.tools.seam.ui.wizard;
 
 import org.eclipse.jface.viewers.IStructuredSelection;
-import org.jboss.tools.seam.ui.SeamUIMessages;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 
 /**
  * @author eskimo
@@ -25,7 +25,7 @@
 	 * @param titleImage
 	 */
 	public SeamActionWizardPage1(IStructuredSelection is) {
-		super("seam.new.action.page1", SeamUIMessages.SEAM_ACTION_WIZARD_PAGE1_SEAM_ACTION, null, is); //$NON-NLS-1$
+		super("seam.new.action.page1", SeamCoreMessages.SEAM_ACTION_WIZARD_PAGE1_SEAM_ACTION, null, is); //$NON-NLS-1$
 		setMessage(getDefaultMessageText());
 	}
 
Index: src/org/jboss/tools/seam/ui/wizard/SelectJavaPackageAction.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/SelectJavaPackageAction.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/SelectJavaPackageAction.java	(working copy)
@@ -27,8 +27,8 @@
 import org.jboss.tools.common.model.util.EclipseResourceUtil;
 import org.jboss.tools.common.ui.widget.editor.ButtonFieldEditor;
 import org.jboss.tools.seam.core.SeamProjectsSet;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.ui.SeamGuiPlugin;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 
 /**
  * @author Alexey Kazakov
@@ -36,7 +36,7 @@
 public class SelectJavaPackageAction extends ButtonFieldEditor.ButtonPressedAction {
 
 	public SelectJavaPackageAction() {
-		super(SeamUIMessages.SELECT_SEAM_PROJECT_ACTION_BROWSE);
+		super(SeamCoreMessages.SELECT_SEAM_PROJECT_ACTION_BROWSE);
 	}
 
 	@Override
Index: src/org/jboss/tools/seam/ui/wizard/ShowProjectSettingsAction.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/ShowProjectSettingsAction.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/ShowProjectSettingsAction.java	(working copy)
@@ -12,14 +12,14 @@
 import org.jboss.tools.common.ui.widget.editor.ButtonFieldEditor;
 import org.jboss.tools.common.ui.widget.editor.CompositeEditor;
 import org.jboss.tools.common.ui.widget.editor.IFieldEditor;
-import org.jboss.tools.seam.ui.SeamUIMessages;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 
 public class ShowProjectSettingsAction extends ButtonFieldEditor.ButtonPressedAction implements PropertyChangeListener {
 	IFieldEditor editor;
 	IFieldEditor button;
 
 	public ShowProjectSettingsAction() {
-		super(SeamUIMessages.SHOW_PROJECT_SETTINGS_ACTION);
+		super(SeamCoreMessages.SHOW_PROJECT_SETTINGS_ACTION);
 	}
 	
 	public void setEditor(IFieldEditor editor) {
Index: src/org/jboss/tools/seam/ui/wizard/SeamBaseWizard.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/SeamBaseWizard.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/SeamBaseWizard.java	(working copy)
@@ -32,8 +32,8 @@
 import org.eclipse.wst.common.project.facet.core.IFacetedProjectTemplate;
 import org.eclipse.wst.common.project.facet.core.ProjectFacetsManager;
 import org.jboss.tools.seam.core.SeamCorePlugin;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.ui.SeamGuiPlugin;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 
 /**
  * @author eskimo
@@ -103,7 +103,7 @@
 	 */
 	public IUndoableOperation getOperation() {
 		if(operation!=null) return operation;
-		throw new IllegalStateException(SeamUIMessages.SEAM_BASE_WIZARD_OPERATION_IS_NOT_DEFINED_FOR_WIZARD);
+		throw new IllegalStateException(SeamCoreMessages.SEAM_BASE_WIZARD_OPERATION_IS_NOT_DEFINED_FOR_WIZARD);
 	}
 	
 	/**
Index: src/org/jboss/tools/seam/ui/wizard/SeamWizardFactory.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/SeamWizardFactory.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/SeamWizardFactory.java	(working copy)
@@ -41,12 +41,12 @@
 import org.jboss.tools.common.ui.widget.editor.IFieldEditorFactory;
 import org.jboss.tools.common.ui.widget.editor.ITaggedFieldEditor;
 import org.jboss.tools.seam.core.SeamCorePlugin;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.core.project.facet.SeamRuntime;
 import org.jboss.tools.seam.core.project.facet.SeamRuntimeManager;
 import org.jboss.tools.seam.core.project.facet.SeamVersion;
 import org.jboss.tools.seam.internal.core.project.facet.ISeamFacetDataModelProperties;
-import org.jboss.tools.seam.ui.SeamUIMessages;
-import org.jboss.tools.seam.ui.internal.project.facet.SeamValidatorFactory;
+import org.jboss.tools.seam.internal.core.project.facet.SeamValidatorFactory;
 import org.jboss.tools.seam.ui.widget.editor.SeamRuntimeListFieldEditor.SeamRuntimeNewWizard;
 
 /**
@@ -91,7 +91,7 @@
 	 */
 	public static IFieldEditor createSeamProjectSelectionFieldEditor(
 			String defaultSelection) {
-		return createSeamProjectSelectionFieldEditor(ISeamParameter.SEAM_PROJECT_NAME, SeamUIMessages.SEAM_WIZARD_FACTORY_SEAM_PROJECT, defaultSelection, false, true);
+		return createSeamProjectSelectionFieldEditor(ISeamParameter.SEAM_PROJECT_NAME, SeamCoreMessages.SEAM_WIZARD_FACTORY_SEAM_PROJECT, defaultSelection, false, true);
 	}
 
 	/**
@@ -99,7 +99,7 @@
 	 */
 	public static IFieldEditor createSeamLocalInterfaceNameFieldEditor() {
 		return IFieldEditorFactory.INSTANCE.createTextEditor(
-				ISeamParameter.SEAM_LOCAL_INTERFACE_NAME, SeamUIMessages.SEAM_WIZARD_FACTORY_LOCAL_INTERFACE_NAME, ""); //$NON-NLS-1$
+				ISeamParameter.SEAM_LOCAL_INTERFACE_NAME, SeamCoreMessages.SEAM_WIZARD_FACTORY_LOCAL_INTERFACE_NAME, ""); //$NON-NLS-1$
 	}
 
 	/**
@@ -107,7 +107,7 @@
 	 */
 	public static IFieldEditor createSeamBeanNameFieldEditor() {
 		return IFieldEditorFactory.INSTANCE.createTextEditor(
-				ISeamParameter.SEAM_BEAN_NAME, SeamUIMessages.SEAM_WIZARD_FACTORY_BEAN_NAME, ""); //$NON-NLS-1$
+				ISeamParameter.SEAM_BEAN_NAME, SeamCoreMessages.SEAM_WIZARD_FACTORY_BEAN_NAME, ""); //$NON-NLS-1$
 	}
 
 	/**
@@ -115,7 +115,7 @@
 	 */
 	public static IFieldEditor createSeamMethodNameFieldEditor() {
 		return IFieldEditorFactory.INSTANCE.createTextEditor(
-				ISeamParameter.SEAM_METHOD_NAME, SeamUIMessages.SEAM_WIZARD_FACTORY_METHOD_NAME, ""); //$NON-NLS-1$
+				ISeamParameter.SEAM_METHOD_NAME, SeamCoreMessages.SEAM_WIZARD_FACTORY_METHOD_NAME, ""); //$NON-NLS-1$
 	}
 
 	/**
@@ -123,7 +123,7 @@
 	 */
 	public static IFieldEditor createSeamPageNameFieldEditor() {
 		return IFieldEditorFactory.INSTANCE.createTextEditor(
-				ISeamParameter.SEAM_PAGE_NAME, SeamUIMessages.SEAM_WIZARD_FACTORY_PAGE_NAME, ""); //$NON-NLS-1$
+				ISeamParameter.SEAM_PAGE_NAME, SeamCoreMessages.SEAM_WIZARD_FACTORY_PAGE_NAME, ""); //$NON-NLS-1$
 	}
 	
 	/**
@@ -131,7 +131,7 @@
 	 */
 	public static IFieldEditor createSeamMasterPageNameFieldEditor() {
 		return IFieldEditorFactory.INSTANCE.createTextEditor(
-				ISeamParameter.SEAM_MASTER_PAGE_NAME, SeamUIMessages.SEAM_WIZARD_FACTORY_MASTER_PAGE_NAME, ""); //$NON-NLS-1$
+				ISeamParameter.SEAM_MASTER_PAGE_NAME, SeamCoreMessages.SEAM_WIZARD_FACTORY_MASTER_PAGE_NAME, ""); //$NON-NLS-1$
 	}
 
 	/**
@@ -154,7 +154,7 @@
 	 */
 	public static IFieldEditor createSeamJavaPackageSelectionFieldEditor(String defaultSelection) {
 		return IFieldEditorFactory.INSTANCE.createButtonFieldEditor(
-				ISeamParameter.SEAM_PACKAGE_NAME, SeamUIMessages.SEAM_WIZARD_FACTORY_PACKAGE_NAME, defaultSelection, 
+				ISeamParameter.SEAM_PACKAGE_NAME, SeamCoreMessages.SEAM_WIZARD_FACTORY_PACKAGE_NAME, defaultSelection, 
 				 new SelectJavaPackageAction(), SeamValidatorFactory.NO_ERRORS_VALIDATOR);
 	}
 
@@ -188,7 +188,7 @@
 		}
 		IFieldEditor jBossSeamRuntimeEditor = IFieldEditorFactory.INSTANCE
 		.createComboWithButton(ISeamFacetDataModelProperties.SEAM_RUNTIME_NAME,
-				SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_SEAM_RUNTIME, names, 
+				SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_SEAM_RUNTIME, names, 
 				defaultValue, 
 				true, action, (IValidator)null);
 		return jBossSeamRuntimeEditor;
@@ -209,7 +209,7 @@
 		}
 		IFieldEditor connProfileSelEditor = IFieldEditorFactory.INSTANCE.createComboWithTwoButtons(
 				ISeamFacetDataModelProperties.SEAM_CONNECTION_PROFILE,
-				SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_CONNECTION_PROFILE,
+				SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_CONNECTION_PROFILE,
 				profiles,
 				defaultValue,
 				false, editAction,
@@ -280,7 +280,7 @@
 		 * @param validator
 		 */
 		public EditConnectionProfileAction(IValidator validator) {
-			super(SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_EDIT);
+			super(SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_EDIT);
 			this.validator = validator;
 		}
 
@@ -327,7 +327,7 @@
 		private IFieldEditor connProfileSelEditor;
 
 		public NewConnectionProfileAction(IValidator validator) {
-			super(SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_NEW);
+			super(SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_NEW);
 			this.validator = validator;
 		}
 
@@ -471,7 +471,7 @@
 	public static abstract class NewSeamRuntimeAction extends ButtonFieldEditor.ButtonPressedAction {
 
 		public NewSeamRuntimeAction() {
-			super(SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_ADD);
+			super(SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_ADD);
 		}
 
 		abstract protected SeamVersion[] getSeamVersions();
@@ -551,7 +551,7 @@
 	 */
 	public static IFieldEditor createSeamComponentNameFieldEditor() {
 		return IFieldEditorFactory.INSTANCE.createTextEditor(
-				ISeamParameter.SEAM_COMPONENT_NAME, SeamUIMessages.SEAM_WIZARD_FACTORY_SEAM_COMPONENT_NAME, ""); //$NON-NLS-1$
+				ISeamParameter.SEAM_COMPONENT_NAME, SeamCoreMessages.SEAM_WIZARD_FACTORY_SEAM_COMPONENT_NAME, ""); //$NON-NLS-1$
 	}
 
 	/**
@@ -559,7 +559,7 @@
 	 */
 	public static IFieldEditor createSeamEntityClasNameFieldEditor() {
 		return IFieldEditorFactory.INSTANCE.createTextEditor(
-				ISeamParameter.SEAM_ENTITY_CLASS_NAME, SeamUIMessages.SEAM_WIZARD_FACTORY_SEAM_ENTITY_CLASS_NAME, ""); //$NON-NLS-1$
+				ISeamParameter.SEAM_ENTITY_CLASS_NAME, SeamCoreMessages.SEAM_WIZARD_FACTORY_SEAM_ENTITY_CLASS_NAME, ""); //$NON-NLS-1$
 	}
 
 	/**
@@ -582,7 +582,7 @@
 		}
 		IFieldEditor editor = IFieldEditorFactory.INSTANCE.createComboEditor(
 				ISeamParameter.HIBERNATE_CONFIGURATION_NAME, 
-				SeamUIMessages.GENERATE_SEAM_ENTITIES_WIZARD_HIBERNATE_CONFIGURATION_LABEL, 
+				SeamCoreMessages.GENERATE_SEAM_ENTITIES_WIZARD_HIBERNATE_CONFIGURATION_LABEL, 
 				configurationNames, defaultSelection);
 		return editor;
 	}
@@ -594,7 +594,7 @@
 	public static IFieldEditor createViewFolderFieldEditor(String defaultSelection) {
 		IFieldEditor viewDirEditor = IFieldEditorFactory.INSTANCE.createBrowseWorkspaceFolderEditor(
 				ISeamFacetDataModelProperties.WEB_CONTENTS_FOLDER,
-				SeamUIMessages.VIEW_FOLDER_FILED_EDITOR,
+				SeamCoreMessages.VIEW_FOLDER_FILED_EDITOR,
 				defaultSelection); 
 		return viewDirEditor;
 	}
Index: src/org/jboss/tools/seam/ui/wizard/SeamConversationWizard.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/SeamConversationWizard.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/SeamConversationWizard.java	(working copy)
@@ -21,10 +21,10 @@
 import org.eclipse.ui.INewWizard;
 import org.eclipse.ui.PlatformUI;
 import org.jboss.tools.common.ui.widget.editor.INamedElement;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.core.SeamUtil;
 import org.jboss.tools.seam.internal.core.project.facet.ISeamFacetDataModelProperties;
 import org.jboss.tools.seam.ui.ISeamHelpContextIds;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 
 public class SeamConversationWizard extends SeamBaseWizard implements INewWizard {
 	
@@ -35,7 +35,7 @@
 	
 	public SeamConversationWizard() {
 		super(CREATE_SEAM_CONVERSATION);
-		setWindowTitle(SeamUIMessages.SEAM_CONVERSATION_WIZARD_CREATE_NEW_CONVERSATION);
+		setWindowTitle(SeamCoreMessages.SEAM_CONVERSATION_WIZARD_CREATE_NEW_CONVERSATION);
 		setDefaultPageImageDescriptor(ImageDescriptor.createFromFile(SeamConversationWizard.class, "SeamWebProjectWizBan.png"));		
 	}
 
@@ -56,7 +56,7 @@
 		 * @param label
 		 */
 		public SeamConversationCreateOperation() {
-			super((SeamUIMessages.SEAM_CONVERSATION_WIZARD_ENTITY_CREATING_OPERATION));
+			super((SeamCoreMessages.SEAM_CONVERSATION_WIZARD_ENTITY_CREATING_OPERATION));
 		}
 
 		private List<FileMapping> actionMapping;
Index: src/org/jboss/tools/seam/ui/wizard/SeamGenerateEntitiesWizard.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/SeamGenerateEntitiesWizard.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/SeamGenerateEntitiesWizard.java	(working copy)
@@ -47,12 +47,12 @@
 import org.jboss.tools.seam.core.ISeamProject;
 import org.jboss.tools.seam.core.SeamCorePlugin;
 import org.jboss.tools.seam.core.SeamProjectsSet;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.core.project.facet.SeamRuntime;
 import org.jboss.tools.seam.core.project.facet.SeamRuntimeManager;
 import org.jboss.tools.seam.core.project.facet.SeamVersion;
 import org.jboss.tools.seam.internal.core.project.facet.ISeamFacetDataModelProperties;
 import org.jboss.tools.seam.ui.ISeamHelpContextIds;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 
 /**
  * Seam Generate Entities Wizard.
@@ -70,7 +70,7 @@
 
 	public SeamGenerateEntitiesWizard() {
 		super(GENERATE_SEAM_ENTITIES);
-		setWindowTitle(SeamUIMessages.GENERATE_SEAM_ENTITIES_WIZARD_TITLE);
+		setWindowTitle(SeamCoreMessages.GENERATE_SEAM_ENTITIES_WIZARD_TITLE);
 		setDefaultPageImageDescriptor(ImageDescriptor.createFromFile(SeamGenerateEntitiesWizard.class, "SeamWebProjectWizBan.png"));	
 		addPage(page1);
 		addPage(page2);
@@ -81,7 +81,7 @@
 		return page1.isPageComplete();
 	}
 	
-	public static final IUndoableOperation GENERATE_SEAM_ENTITIES = new SeamBaseOperation(SeamUIMessages.SEAM_GENERATE_ENTITIES_WIZARD_ACTION_CREATING_OPERATION) {
+	public static final IUndoableOperation GENERATE_SEAM_ENTITIES = new SeamBaseOperation(SeamCoreMessages.SEAM_GENERATE_ENTITIES_WIZARD_ACTION_CREATING_OPERATION) {
 
 		/*
 		 * (non-Javadoc)
@@ -144,7 +144,7 @@
 				}
 				if(seamRt == null) {
 					throw new CoreException(new Status(IStatus.ERROR, SeamCorePlugin.PLUGIN_ID, 
-							NLS.bind(SeamUIMessages.SEAM_GENERATE_ENTITIES_WIZARD_CAN_NOT_FIND_SEAM_RUNTIME, project.getName())));
+							NLS.bind(SeamCoreMessages.SEAM_GENERATE_ENTITIES_WIZARD_CAN_NOT_FIND_SEAM_RUNTIME, project.getName())));
 				}
 				String seamTemplatesRoot = seamRt.getTemplatesDir();
 
@@ -208,7 +208,7 @@
 				hbmtemplateAttributes.put("template_name", "view/list.xhtml.ftl"); //$NON-NLS-1$ //$NON-NLS-2$
 				hbmtemplateAttributes.put("outputdir", seamProjectsSet.getViewsFolder().getFullPath().toString()); //$NON-NLS-1$
 				hbmtemplateAttributes.put("for_each", "entity");				 //$NON-NLS-1$ //$NON-NLS-2$
-				hbmtemplateAttributes.put("hibernatetool.util.toolclass",SeamUIMessages.SEAM_GENERATE_ENTITIES_WIZARD_54);	 //$NON-NLS-1$
+				hbmtemplateAttributes.put("hibernatetool.util.toolclass",SeamCoreMessages.SEAM_GENERATE_ENTITIES_WIZARD_54);	 //$NON-NLS-1$
 				wc.setAttribute(HibernateLaunchConstants.ATTR_EXPORTERS + ".hbmtemplate1.properties", hbmtemplateAttributes); //$NON-NLS-1$
 
 //				<hbmtemplate filepattern="{class-name}.xhtml"
@@ -352,7 +352,7 @@
 
 				WebUtils.changeTimeStamp(project);
 			} catch (CoreException e) {
-				SeamCorePlugin.getDefault().showError(SeamUIMessages.SEAM_GENERATE_ENTITIES_WIZARD_CAN_NOT_GENERATE_SEAM_ENTITIES, e);
+				SeamCorePlugin.getDefault().showError(SeamCoreMessages.SEAM_GENERATE_ENTITIES_WIZARD_CAN_NOT_GENERATE_SEAM_ENTITIES, e);
 			}
 			return Status.OK_STATUS;
 		}
@@ -363,7 +363,7 @@
 		 */
 		@Override
 		public List<FileMapping> getFileMappings(Map<String, Object> vars) {
-//			throw new UnsupportedOperationException(SeamUIMessages.SEAM_GENERATE_ENTITIES_WIZARD_THIS_METHOD_IS_NOT_RELEVANT_IN_GENERATING_SEAM_ENTITIES);
+//			throw new UnsupportedOperationException(SeamCoreMessages.SEAM_GENERATE_ENTITIES_WIZARD_THIS_METHOD_IS_NOT_RELEVANT_IN_GENERATING_SEAM_ENTITIES);
 			// Return empty list; 
 			return new ArrayList<FileMapping>();
 		}
Index: src/org/jboss/tools/seam/ui/wizard/SeamEntityWizard.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/SeamEntityWizard.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/SeamEntityWizard.java	(working copy)
@@ -22,9 +22,9 @@
 import org.eclipse.ui.PlatformUI;
 import org.jboss.tools.common.ui.widget.editor.INamedElement;
 import org.jboss.tools.seam.core.SeamProjectsSet;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.internal.core.project.facet.ISeamFacetDataModelProperties;
 import org.jboss.tools.seam.ui.ISeamHelpContextIds;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 
 /**
  * @author eskimo
@@ -42,7 +42,7 @@
 	 */
 	public SeamEntityWizard() {
 		super(CREATE_SEAM_ENTITY);
-		setWindowTitle(SeamUIMessages.SEAM_ENTITY_WIZARD_NEW_SEAM_ENTITY);
+		setWindowTitle(SeamCoreMessages.SEAM_ENTITY_WIZARD_NEW_SEAM_ENTITY);
 		setDefaultPageImageDescriptor(ImageDescriptor.createFromFile(SeamEntityWizard.class, "SeamWebProjectWizBan.png"));
 	}
 
@@ -75,7 +75,7 @@
 			 * @param label
 			 */
 			public SeamEntityCreateOperation() {
-				super((SeamUIMessages.SEAM_ENTITY_WIZARD_ENTITY_CREATING_OPERATION));
+				super((SeamCoreMessages.SEAM_ENTITY_WIZARD_ENTITY_CREATING_OPERATION));
 			}
 
 			@Override
Index: src/org/jboss/tools/seam/ui/wizard/CreateSeamWebProjectAction.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/CreateSeamWebProjectAction.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/CreateSeamWebProjectAction.java	(working copy)
@@ -20,13 +20,13 @@
 import org.jboss.tools.common.model.ui.ModelUIImages;
 import org.jboss.tools.common.model.ui.ModelUIPlugin;
 import org.jboss.tools.common.model.ui.util.ExtensionPointUtils;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.ui.SeamGuiPlugin;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 
 public class CreateSeamWebProjectAction extends Action implements IWorkbenchWindowActionDelegate {
 	public CreateSeamWebProjectAction() {
-		super(SeamUIMessages.CREATE_SEAM_WEB_PROJECTACTION_CREATE_SEAM_PROJECT);
-		setToolTipText(SeamUIMessages.CREATE_SEAM_WEB_PROJECTACTION_CREATE_SEAM_PROJECT);
+		super(SeamCoreMessages.CREATE_SEAM_WEB_PROJECTACTION_CREATE_SEAM_PROJECT);
+		setToolTipText(SeamCoreMessages.CREATE_SEAM_WEB_PROJECTACTION_CREATE_SEAM_PROJECT);
 		ModelUIImages.setImageDescriptors(this, ModelUIImages.ACT_CREATE_PROJECT);
 	}
 
Index: src/org/jboss/tools/seam/ui/wizard/SeamProjectSelectionDialog.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/SeamProjectSelectionDialog.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/SeamProjectSelectionDialog.java	(working copy)
@@ -34,8 +34,8 @@
 import org.eclipse.wst.common.project.facet.core.ProjectFacetsManager;
 import org.jboss.tools.seam.core.ISeamProject;
 import org.jboss.tools.seam.core.SeamCorePlugin;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.internal.core.project.facet.ISeamFacetDataModelProperties;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 
 /**
  * @author eskimo
@@ -52,8 +52,8 @@
 	public SeamProjectSelectionDialog(Shell parent, final boolean allowAllProjects) {
 		super(parent);
 		this.allowAllProjects = allowAllProjects;
-		setTitle(SeamUIMessages.SEAM_PROJECT_SELECTION_DIALOG_SEAM_WEB_PROJECT);
-		setMessage(SeamUIMessages.SEAM_PROJECT_SELECTION_DIALOG_SELECT_SEAM_WEB_PROJECT);
+		setTitle(SeamCoreMessages.SEAM_PROJECT_SELECTION_DIALOG_SEAM_WEB_PROJECT);
+		setMessage(SeamCoreMessages.SEAM_PROJECT_SELECTION_DIALOG_SELECT_SEAM_WEB_PROJECT);
 		setLabelProvider(new WorkbenchLabelProvider());
 		setInput(new Object());
 		setContentProvider(new IStructuredContentProvider() {
@@ -112,7 +112,7 @@
     	Composite parent = (Composite) super.createDialogArea(container);
     	if(!allowAllProjects) {
     		check = new Button(parent, SWT.CHECK);
-    		check.setText(SeamUIMessages.SEAM_PROJECT_SELECTION_DIALOG_SHOW_ALL_PROJECTS);
+    		check.setText(SeamCoreMessages.SEAM_PROJECT_SELECTION_DIALOG_SHOW_ALL_PROJECTS);
     		check.setSelection(false);
     		check.addSelectionListener(new SelectionListener() {
 				public void widgetDefaultSelected(SelectionEvent e) {
Index: src/org/jboss/tools/seam/ui/wizard/RenameComponentWizard.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/RenameComponentWizard.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/RenameComponentWizard.java	(working copy)
@@ -33,9 +33,9 @@
 import org.jboss.tools.seam.core.ISeamComponent;
 import org.jboss.tools.seam.core.ISeamProject;
 import org.jboss.tools.seam.core.SeamCorePlugin;
+import org.jboss.tools.seam.core.SeamCoreMessages;
+import org.jboss.tools.seam.internal.core.project.facet.SeamValidatorFactory;
 import org.jboss.tools.seam.internal.core.refactoring.RenameComponentProcessor;
-import org.jboss.tools.seam.ui.SeamUIMessages;
-import org.jboss.tools.seam.ui.internal.project.facet.SeamValidatorFactory;
 
 /**
  * @author Alexey Kazakov, Daniel Azarov
@@ -80,7 +80,7 @@
 	        layout.numColumns = 2;
 	        
 	        String defaultName = component.getName();
-	        editor = IFieldEditorFactory.INSTANCE.createTextEditor(componentName, SeamUIMessages.SEAM_WIZARD_FACTORY_SEAM_COMPONENT_NAME, defaultName);
+	        editor = IFieldEditorFactory.INSTANCE.createTextEditor(componentName, SeamCoreMessages.SEAM_WIZARD_FACTORY_SEAM_COMPONENT_NAME, defaultName);
 	        editor.doFillIntoGrid(container);
 	        
 	        ((CompositeEditor)editor).addPropertyChangeListener(new PropertyChangeListener(){
@@ -95,7 +95,7 @@
 		protected final void validatePage() {
 			Map<String, IStatus> errors = SeamValidatorFactory.SEAM_COMPONENT_NAME_VALIDATOR.validate(editor.getValueAsString(), seamProject);
 			if(!errors.isEmpty()) {
-				setErrorMessage(NLS.bind(errors.get(IValidator.DEFAULT_ERROR).getMessage(),SeamUIMessages.SEAM_BASE_WIZARD_PAGE_SEAM_COMPONENTS));
+				setErrorMessage(NLS.bind(errors.get(IValidator.DEFAULT_ERROR).getMessage(),SeamCoreMessages.SEAM_BASE_WIZARD_PAGE_SEAM_COMPONENTS));
 				setPageComplete(false);
 				return;
 			}
Index: src/org/jboss/tools/seam/ui/wizard/SeamWizardCustomizationPage.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/SeamWizardCustomizationPage.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/SeamWizardCustomizationPage.java	(working copy)
@@ -18,7 +18,7 @@
 import org.eclipse.jface.resource.ImageDescriptor;
 import org.eclipse.jface.viewers.IStructuredSelection;
 import org.eclipse.swt.widgets.Composite;
-import org.jboss.tools.seam.ui.internal.project.facet.SeamValidatorFactory;
+import org.jboss.tools.seam.internal.core.project.facet.SeamValidatorFactory;
 
 /**
  * @author Alexey Kazakov
Index: src/org/jboss/tools/seam/ui/wizard/SeamProjectWizard.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/SeamProjectWizard.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/SeamProjectWizard.java	(working copy)
@@ -79,6 +79,7 @@
 import org.jboss.ide.eclipse.as.core.server.internal.JBossServer;
 import org.jboss.tools.jst.web.server.RegistrationHelper;
 import org.jboss.tools.seam.core.SeamCorePlugin;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.core.project.facet.SeamProjectPreferences;
 import org.jboss.tools.seam.core.project.facet.SeamRuntime;
 import org.jboss.tools.seam.core.project.facet.SeamRuntimeManager;
@@ -90,7 +91,6 @@
 import org.jboss.tools.seam.internal.core.project.facet.SeamFacetProjectCreationDataModelProvider;
 import org.jboss.tools.seam.ui.ISeamHelpContextIds;
 import org.jboss.tools.seam.ui.SeamGuiPlugin;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 import org.jboss.tools.seam.ui.internal.project.facet.SeamInstallWizardPage;
 
 /**
@@ -113,12 +113,12 @@
 
 	public SeamProjectWizard() {
 		super();
-		setWindowTitle(SeamUIMessages.SEAM_PROJECT_WIZARD_NEW_SEAM_PROJECT);
+		setWindowTitle(SeamCoreMessages.SEAM_PROJECT_WIZARD_NEW_SEAM_PROJECT);
 	}
 
 	public SeamProjectWizard(IDataModel model) {
 		super(model);
-		setWindowTitle(SeamUIMessages.SEAM_PROJECT_WIZARD_NEW_SEAM_PROJECT);
+		setWindowTitle(SeamCoreMessages.SEAM_PROJECT_WIZARD_NEW_SEAM_PROJECT);
 	}
 
 	protected IDataModel createDataModel() {
@@ -130,8 +130,8 @@
 		firstPage = new SeamWebProjectFirstPage(model, "first.page"); //$NON-NLS-1$
 
 		firstPage.setImageDescriptor(ImageDescriptor.createFromFile(SeamFormWizard.class, "SeamWebProjectWizBan.png"));  //$NON-NLS-1$
-		firstPage.setTitle(SeamUIMessages.SEAM_PROJECT_WIZARD_SEAM_WEB_PROJECT);
-		firstPage.setDescription(SeamUIMessages.SEAM_PROJECT_WIZARD_CREATE_STANDALONE_SEAM_WEB_PROJECT);
+		firstPage.setTitle(SeamCoreMessages.SEAM_PROJECT_WIZARD_SEAM_WEB_PROJECT);
+		firstPage.setDescription(SeamCoreMessages.SEAM_PROJECT_WIZARD_CREATE_STANDALONE_SEAM_WEB_PROJECT);
 		return firstPage;
 	}
 
@@ -189,7 +189,7 @@
 				}
 			}
 		}, IFacetedProjectEvent.Type.PROJECT_NAME_CHANGED);
-		Control control = findGroupByText(getShell(), SeamUIMessages.SEAM_PROJECT_WIZARD_EAR_MEMBERSHIP);
+		Control control = findGroupByText(getShell(), SeamCoreMessages.SEAM_PROJECT_WIZARD_EAR_MEMBERSHIP);
 		if (control != null)
 			control.setVisible(false);
 		firstPage.isPageComplete();
@@ -328,7 +328,7 @@
 	 */
 	@Override
 	public boolean performFinish() {
-		SeamInstallWizardPage page = (SeamInstallWizardPage)getPage(SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_SEAM_FACET);
+		SeamInstallWizardPage page = (SeamInstallWizardPage)getPage(SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_SEAM_FACET);
 		page.finishPressed();
 		IDataModel model = page.getConfig();
 		model.setProperty(ISeamFacetDataModelProperties.CREATE_EAR_PROJECTS, Boolean.TRUE);		
@@ -360,7 +360,7 @@
     	super.performFinish(monitor);
 
 		IProject warProject = this.getFacetedProject().getProject();
-		SeamInstallWizardPage page = (SeamInstallWizardPage)getPage(SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_SEAM_FACET);
+		SeamInstallWizardPage page = (SeamInstallWizardPage)getPage(SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_SEAM_FACET);
 		IDataModel model = page.getConfig();
 
 		boolean deployAsEar = ISeamFacetDataModelProperties.DEPLOY_AS_EAR.equals(model.getProperty(ISeamFacetDataModelProperties.JBOSS_AS_DEPLOY_AS));
@@ -430,7 +430,7 @@
 				String[] driverJars = (String[]) model.getProperty(ISeamFacetDataModelProperties.JDBC_DRIVER_JAR_PATH);
 				if(driverJars!=null) {
 					String configFolder = jbs.getConfigDirectory();
-					if(model.getStringProperty(ISeamFacetDataModelProperties.SEAM_LIBRARY_PROVIDER).equals(SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_COPY_LIBRARIES)){
+					if(model.getStringProperty(ISeamFacetDataModelProperties.SEAM_LIBRARY_PROVIDER).equals(SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_COPY_LIBRARIES)){
 						AntCopyUtils.copyFiles(driverJars, new File(configFolder, "lib"), false);
 					}
 				}
@@ -524,14 +524,14 @@
 
 		protected void createSeamServerTargetComposite(Composite parent) {
 	        Group group = new Group(parent, SWT.NONE);
-	        group.setText(SeamUIMessages.SEAM_TARGET_SERVER);
+	        group.setText(SeamCoreMessages.SEAM_TARGET_SERVER);
 	        group.setLayoutData(gdhfill());
 	        group.setLayout(new GridLayout(2, false));
 
 	        matchedServerTargetCombo = new Combo(group, SWT.BORDER | SWT.READ_ONLY);
 			matchedServerTargetCombo.setLayoutData(gdhfill());
 			Button newMatchedServerTargetButton = new Button(group, SWT.NONE);
-			newMatchedServerTargetButton.setText(SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_NEW);
+			newMatchedServerTargetButton.setText(SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_NEW);
 			newMatchedServerTargetButton.addSelectionListener(new SelectionAdapter() {
 				public void widgetSelected(SelectionEvent e) {
 					if (!SeamWebProjectFirstPage.this.internalLaunchNewServerWizard(getShell(), model)) {
@@ -575,13 +575,13 @@
 	        	IProjectFacetVersion seamFacet = fProject.getProjectFacetVersion(pFacet);
 	        	if(seamFacet==null) {
 	        		if(pageComplete) {
-		        		this.setErrorMessage(SeamUIMessages.SEAM_PROJECT_WIZARD_PAGE1_SEAM_FACET_MUST_BE_SPECIFIED);
+		        		this.setErrorMessage(SeamCoreMessages.SEAM_PROJECT_WIZARD_PAGE1_SEAM_FACET_MUST_BE_SPECIFIED);
 		        		return false;
 	        		}
 	        	} else {
 	        		if(pageComplete) {
 	        			this.setErrorMessage(null);
-	        		} else if(SeamUIMessages.SEAM_PROJECT_WIZARD_PAGE1_SEAM_FACET_MUST_BE_SPECIFIED.equals(getErrorMessage())) {
+	        		} else if(SeamCoreMessages.SEAM_PROJECT_WIZARD_PAGE1_SEAM_FACET_MUST_BE_SPECIFIED.equals(getErrorMessage())) {
 	        			this.setErrorMessage(null);
 	        		}
 	        	}
